<?
header('Content-Type: application/vnd.ms-excel');
header('Expires: 0');
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('content-disposition: attachment;filename=Reporteporfecha.xls');

 include "clases/Asistencia.class.php"; $objas = new Asistencia();
 include "clases/Afiliado.class.php"; $obja = new Afiliado();
 
 
 $fi = $_POST["fecha"]; 
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <!-- This file has been downloaded from Bootsnipp.com. Enjoy! -->
    <title>Bootstrap Snippet for Datatable - Bootsnipp.com</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
    
    
   
</head>
<body>
<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/app.js"></script>



<script>
function guardar(f)
{   if(f.tipodoc.value==""){
		 f.tipodoc.focus();
		 return false;
	}
	if(f.numdoc.value==""){
		 f.numdoc.focus();
		 return false;
	}

    if(f.nombres.value==""){
		 f.nombres.focus();
		 return false;
	}
	if(f.apepaterno.value==""){
		 f.apepaterno.focus();
		 return false;
	}
	if(f.apematerno.value==""){
		 f.apematerno.focus();
		 return false;
	}
	
	if(f.sexo.value==""){
		 f.sexo.focus();
		 return false;
	}
	if(f.estadocivil.value==""){
		 f.estadocivil.focus();
		 return false;
	}
	
	if(f.domicilio.value==""){
		 f.domicilio.focus();
		 return false;
	}
	if(f.idubigeo.value==""){
		 f.idubigeo.focus();
		 return false;
	}
	
		   f.action='controladores/PersonaController.php';
		   f.submit();
		   return true;
		 
}
function editar(f)
{   if(f.nombres.value==""){
		 f.nombres.focus();
		 return false;
	}
	if(f.apellidos.value==""){
		 f.apellidos.focus();
		 return false;
	}
	if(f.direccion.value==""){
		 f.direccion.focus();
		 return false;
	}
	
		   f.action='controladores/EmpleadoController.php';
		   f.submit();
		   return true;
		
}

function eliminar(f)
{   
		   f.action='controladores/EmpleadoController.php';
		   f.submit();
		   return true;
		 
}
$(document).ready(function() {
  $('a[data-toggle=modal], button[data-toggle=modal]').click(function () {
    var data_id = '';
	var data_des= '';
    if (typeof $(this).data('id') !== 'undefined') {
      data_id = $(this).data('id');	   
    }
    $('#idemp').val(data_id);
  })
});
</script>
 <script>
		  function rellenar(idp,td,nd,n,ap,am,sex,ec,fn,t,c,dom,ubi){
		     document.form2.idpersona.value=idp;
			 document.form2.tipodoc.value=td;
			 document.form2.numdoc.value=nd;		   
			 document.form2.nombres.value=n;
			 document.form2.apepaterno.value=ap;
			 document.form2.apematerno.value=am;
			 document.form2.sexo.value=sex;
			 document.form2.estadocivil.value=ec;
			 document.form2.fechanac.value=fn;
			 document.form2.telefonos.value=t;
			 document.form2.correo.value=c;
			 document.form2.domicilio.value=dom;
			 document.form2.idubigeo.value=ubi;
			 }
			 
		function elimina(e){
		  document.form3.idemp.value=e; 
		}
		
		function editar(id)
		{
		  window.open("editpersona.php?id="+id,"","fullscreen=no, height=750,width=820,left=200,top=120,resizable = yes,scrollbars=yes,toolbar = no,status = no");	 
		}
		
		function reportar(id)
		{
		  window.open("reportarhistorial.php?id="+id,"","fullscreen=no, height=750,width=1050,left=250,top=100,resizable = yes,scrollbars=yes,toolbar = no,status = no");	 
		}
		
		function constancia(id)
		{
		  window.open("reportarconstancia.php?id="+id,"","fullscreen=no, height=750,width=950,left=250,top=100,resizable = yes,scrollbars=yes,toolbar = no,status = no");	 
		}
		
		function verlicencia(id)
		{
		  window.open("licencia.php?id="+id,"","fullscreen=no, height=750,width=800,left=250,top=100,resizable = yes,scrollbars=yes,toolbar = no,status = no");	 
		}
		
		function nuevasolicitud()
		{
		   document.form1.action='mansolicitudnueva.php';
		   document.form1.submit();
		   return true;
		}
		
		function consultar(f)
		{
		   f.action='licenciaporfechas.php';
		   f.submit();
		   return true;
		}
		
		function denegar(id)
		{
		   document.form1.action='controladores/SolicitudController.php?id='+id+'&accion=A';
		   document.form1.submit();
		   return true;
		}
		
		function generarLicencia(a,b,c,d)
		{
		  document.form1.action='manlicencianueva.php?idsol='+a+'&idper='+b+'&idtra='+c+'&idtipolic='+d;
		   document.form1.submit();
		   return true;
		}
		  </script>
<div class="container">
	<div class="row">
        <div class="col-md-15">
        <h4>ASISTENCIA A ASAMBLEA DE FECHA <?php echo $fi;?></h4>
		<form action="" method="post" name="form1">
        <div class="table-responsive">
          <div class="form-group"> </div>
          <table width="50%" border="1" cellpadding="1" cellspacing="1" bordercolor="#000000" class="table table-bordred table-striped" id="mytable">
                   
                   <thead>
                   <tr>
                     <th colspan="5">ASISTIERON</th>
                     <tr>
                     <th width="6%">N&deg;</th>
                     <th width="25%">AFILIADO</th>
                     <th width="26%">DNI</th>
                     <th width="23%">Fecha</th>
                     <th width="20%">Hora de Marcacion  </th>
                   </thead>
    <tbody>
    
    <tr><? 
		   $lista = $objas->ListarPorFecha($fi);
			//////////////////////////////////////////////////////////77
		   for($i=0;$i<count($lista); $i++){	    
			if($obja->BuscarPorCodigo($lista[$i]["idafiliado"])){
			    $lista[$i]["nombres"]=$obja->getnombres()." ".$obja->getapepat()." ".$obja->getapemat();
				$lista[$i]["dni"]=$obja->getdni();
			}
		?>
     <td><?=$i+1;?></td>
    <td><?=$lista[$i]["nombres"];?></td>
    <td style="mso-number-format:'@';"><?=$lista[$i]["dni"];?></td>
    <td><?=$lista[$i]["fecha"];?></td>
    <td><?=$lista[$i]["hora"];?></td>
    </tr>
    <?
		  }
		?>

    
 <tr>
    <td colspan="5"><?php 
		   if ($total_paginas > 1) {
   			if ($pagina != 1)
      			echo '<a href="'.$url.'?pagina='.($pagina-1).'" class="btn btn-default"><img src="img/izq.gif" border="0"></a>';
     		for ($i=1;$i<=$total_paginas;$i++) {
         		if ($pagina == $i)
            //si muestro el &iacute;ndice de la p&aacute;gina actual, no coloco enlace
            	  echo $pagina;
                else
            //si el &iacute;ndice no corresponde con la p&aacute;gina mostrada actualmente,
            //coloco el enlace para ir a esa p&aacute;gina
                  echo '  <a href="'.$url.'?pagina='.$i.'"class="btn btn-default" >'.$i.'</a>  ';
          }
           if ($pagina != $total_paginas)
              echo '<a href="'.$url.'?pagina='.($pagina+1).'" class="btn btn-default"><img src="img/der.gif" border="0"></a>';
         }
?></td>
    </tr>
    </tbody>
</table>
<br>

<table width="50%" border="1" cellpadding="1" cellspacing="1" bordercolor="#000000" class="table table-bordred table-striped" id="mytable">
                   
                   <thead>
                   <tr>
                     <th colspan="3">NO ASISTIERON </th>
                     <tr>
                     <th width="6%">N&deg;</th>
                     <th>AFILIADO</th>
                     <th>DNI</th>
                   </thead>
    <tbody>
    
    <tr><? 
		   $lista = $objas->ListarNoAsistentesPorFecha($fi);
		   //////////////////////////////////////////////////77		 
			//$TAMANO_PAGINA = 15;//Limito la busqueda			
//			$pagina = $_GET["pagina"];//examino la p?gina a mostrar y el inicio del registro a mostrar
//			if (!$pagina) {
//				$inicio = 0;
//				$pagina = 1;
//			}
//			else {
//					$inicio = ($pagina - 1) * $TAMANO_PAGINA;
//				}			
//			$total_paginas = ceil(count($lista) / $TAMANO_PAGINA);//calculo el total de p?ginas
//			$lista=$objcur->ListaPaginada($a,$inicio,$TAMANO_PAGINA);
			//////////////////////////////////////////////////////////77
		   for($i=0;$i<count($lista); $i++){	    
			/*if($obja->BuscarPorCodigo($lista[$i]["idafiliado"])){
			    $lista[$i]["nombres"]=$obja->getnombres()." ".$obja->getapepat()." ".$obja->getapemat();;
			}*/
		?>
     <td><?=$i+1;?></td>
    <td><?=$lista[$i]["nombres"]." ".$lista[$i]["apepat"]." ".$lista[$i]["apemat"];?></td>
    <td style="mso-number-format:'@';"><?=$lista[$i]["dni"];?></td>
    </tr>
    <?
		  }
		?>

    
 <tr>
    <td colspan="3"><?php 
		   if ($total_paginas > 1) {
   			if ($pagina != 1)
      			echo '<a href="'.$url.'?pagina='.($pagina-1).'" class="btn btn-default"><img src="img/izq.gif" border="0"></a>';
     		for ($i=1;$i<=$total_paginas;$i++) {
         		if ($pagina == $i)
            //si muestro el &iacute;ndice de la p&aacute;gina actual, no coloco enlace
            	  echo $pagina;
                else
            //si el &iacute;ndice no corresponde con la p&aacute;gina mostrada actualmente,
            //coloco el enlace para ir a esa p&aacute;gina
                  echo '  <a href="'.$url.'?pagina='.$i.'"class="btn btn-default" >'.$i.'</a>  ';
          }
           if ($pagina != $total_paginas)
              echo '<a href="'.$url.'?pagina='.($pagina+1).'" class="btn btn-default"><img src="img/der.gif" border="0"></a>';
         }
?></td>
    </tr>
    </tbody>
</table>

<div class="clearfix">

</div>

                
          </div>
     </form>       
        </div>
	</div>
</div>

  
    
 
  
  <script type="text/javascript">
$(document).ready(function(){
$("#mytable #checkall").click(function () {
        if ($("#mytable #checkall").is(':checked')) {
            $("#mytable input[type=checkbox]").each(function () {
                $(this).prop("checked", true);
            });

        } else {
            $("#mytable input[type=checkbox]").each(function () {
                $(this).prop("checked", false);
            });
        }
    });
    
    $("[data-toggle=tooltip]").tooltip();
});

</script>
</body>
</htm